Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.text
Interface SeamTextParser.Sanitizer

All Known Implementing Classes:
  SeamTextParser.DefaultSanitizer

Enclosing class:
  SeamTextParser

    public static interface SeamTextParser.Sanitizer

Sanitization of user input, used to clean links and plain HTML.

Method Summary
`String` | `getInvalidAttributeMessage(String elementName, String attributeName)`
`String` | `getInvalidAttributeValueMessage(String elementName, String attributeName, String value)`
`String` | `getInvalidElementMessage(String elementName)`
`String` | `getInvalidURIMessage(String uri)`
`void` | `validateHtmlAttribute(antlr.Token element, antlr.Token attribute)` Called by the SeamTextParser when a plain HTML attribute is parsed.
`void` | `validateHtmlAttributeValue(antlr.Token element, antlr.Token attribute, String attributeValue)` Called by the SeamTextParser when a plain HTML attribute value is parsed.
`void` | `validateHtmlElement(antlr.Token element)` Called by the SeamTextParser when a plain HTML element is parsed.
`void` | `validateLinkTagURI(antlr.Token element, String uri)` Called by the SeamTextParser when a link tag is parsed, i.e.

Method Detail

### validateLinkTagURI

    void validateLinkTagURI(antlr.Token element,
                            String uri)
                            throws antlr.SemanticException

  Called by the SeamTextParser when a link tag is parsed, i.e. [=>some URI].

  Parameters:
    `element` - the token of the parse tree, here the ">" symbol which comes after the "="
    `uri` - the user-entered link text
  Throws:
    `antlr.SemanticException` - thrown if the URI is not syntactically or semantically valid

### validateHtmlElement

    void validateHtmlElement(antlr.Token element)
                             throws antlr.SemanticException

  Called by the SeamTextParser when a plain HTML element is parsed.

  Parameters:
    `element` - the token of the parse tree, call `getText()` to access the HTML tag name
  Throws:
    `antlr.SemanticException` - thrown when the HTML tag is not valid

### validateHtmlAttribute

    void validateHtmlAttribute(antlr.Token element,
                               antlr.Token attribute)
                               throws antlr.SemanticException

  Called by the SeamTextParser when a plain HTML attribute is parsed.

  Parameters:
    `element` - the token of the parse tree that represents the HTML tag
    `attribute` - the token of the parse tree that represents the HTML attribute
  Throws:
    `antlr.SemanticException` - thrown if the attribute is not valid for the given HTML tag

### validateHtmlAttributeValue

    void validateHtmlAttributeValue(antlr.Token element,
                                    antlr.Token attribute,
                                    String attributeValue)
                                    throws antlr.SemanticException

  Called by the SeamTextParser when a plain HTML attribute value is parsed.

  Parameters:
    `element` - the token of the parse tree that represents the HTML tag
    `attribute` - the token of the parse tree that represents the HTML attribute
    `attributeValue` - the plain string value of the HTML attribute
  Throws:
    `antlr.SemanticException` - thrown if the attribute value is not valid for the given HTML attribute and element

### getInvalidURIMessage

    String getInvalidURIMessage(String uri)

### getInvalidElementMessage

    String getInvalidElementMessage(String elementName)

### getInvalidAttributeMessage

    String getInvalidAttributeMessage(String elementName,
                                      String attributeName)

### getInvalidAttributeValueMessage

    String getInvalidAttributeValueMessage(String elementName,
                                           String attributeName,
                                           String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.